# Interface VocabChecker.TermReporter

Enclosing class:
  `VocabChecker`

public static interface VocabChecker.TermReporter
Callback interface for reporting vocabulary interrogation results.

Since:
  25 Apr 2019
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`termDeprecated(String msg)`
Invoked if the presented term was found in the vocabulary but flagged as "deprecated".
`void`
`termFound()`
Invoked if the presented term was found as a normal entry in the vocabulary.
`void`
`termPreliminary(String msg)`
Invoked if the presented term was found in the vocabulary but flagged as "preliminary".
`void`
`termUnknown(String msg)`
Invoked if no such term was found in the vocabulary.

## Method Details

### termFound

void termFound()
Invoked if the presented term was found as a normal entry in the vocabulary.

### termUnknown

void termUnknown(String msg)
Invoked if no such term was found in the vocabulary.

Parameters:
  `msg` - user-directed message giving details

### termDeprecated

void termDeprecated(String msg)
Invoked if the presented term was found in the vocabulary but flagged as "deprecated".

Parameters:
  `msg` - user-directed message giving details

### termPreliminary

void termPreliminary(String msg)
Invoked if the presented term was found in the vocabulary but flagged as "preliminary".

Parameters:
  `msg` - user-directed message giving details